Уголок новичка
   1427

Да. Я полный лох. Че с принтером то опять.

Короче. Купил сегодня себе новый принтер. Ибо старый просто сдох.
Модель Canon ImageClass LBP6030.
Пришел, осмотрел в коробке были драйвера для шиндоус.

ну думаю нафиг они Мне. Мнеж на Линукс. Ага.
Пошел принтер ставить через CUPS. Ага.
А там дров на мою модель нит. Ну или я не нахожу. Поставил похожие. И раз и раз и раз и нифигас.

Жму печать документа он его в очередь добавляет, а потом спустя 3-4 секуд сбрасывает. И сам принер не шевелится.

Чет у меня выходит ни 1 принтер не работает. В системе. А отчеты печатать требуют за год уже.
Мне че шиндоус что ли ставить раз такая ситуация? Ибо в такие моменты начинаешь его ценить.

другие 2 уже пробовал. И думаю что я лох полный.

19 комментариев

avatar
либо драйвер кривой, либо вы не дали себе прав на использование печати
0
avatar
и как понять?
На какой стул сел. Если вобще не оба. Я уже столько драйверов перепаробовал близких моделей по нумерации. А эффект один и тот же.
Последний раз редактировалось
0
avatar
В aur есть 2 пакета для LBP6030


так же проверьте все ли пакеты для cups установлены.
0
avatar
пачиму у меня нифига не находило.

А что там для капса требуется кроме самого капса?
Последний раз редактировалось
0
avatar
AUR надо в настройках памака включить





А для cups

Последний раз редактировалось
0
avatar
дык
хотя именно с аура чет ничео нет
0
avatar
Пакеты для cups смотрим только в репозиториях.
Пакеты для принтера в AUR.
0
avatar
Если написать cndrvcups, то найдет 4 пакета, а по имени принтера и у меня перестал искать
0
avatar
Поставил другой пакет.
там выставил эти дрова.

Ставлю печать пробника.

Идет обработка и все.
Последний раз редактировалось
0
avatar
А вы себя добавили в группу cups?
0
avatar
В какую группу?
0
avatar
Я же вам написал в какую. в группу пользователей cups. Вообще я вижу вы не понимаете о чем речь.Потому почитайте про права пользователей, про группы пользователей в linux.
+1
avatar
Не понял.
А что не так то?
0
avatar
Да вроди все так.
0
avatar
а че он тогда на панкиХОЙ посылает?
0
avatar
Не знаю, разберитесь в своей системе. Кроме вас никто не знает, что у вас установлено.
0
avatar
офигенно
Последний раз редактировалось
0
avatar
Еще можно foomatic-db поставить.
0
avatar
Вот здесь решили эту проблему https://bbs.archlinux.org/viewtopic.php?id=205835

Возможно нет пакета cndrvcups-common-lb (он из АУР) и попробуйте после прочтения рекомендаций, когда убедитесь, что установлены нужные два пакета, перезагрузиться, чтобы все сокеты и сервисы капса перезапустились.
Последний раз редактировалось
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.